org.apache.lucene.search.grouping

## Enum GroupSelector.State

- java.lang.Object
- - java.lang.Enum<GroupSelector.State>
  - - org.apache.lucene.search.grouping.GroupSelector.State

All Implemented Interfaces:
  Serializable, Comparable<GroupSelector.State>

Enclosing class:
  GroupSelector<T>

    public static enum GroupSelector.State
    extends Enum<GroupSelector.State>

What to do with the current value

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ACCEPT`
`SKIP`

### Method Summary

All Methods Static Methods Concrete Methods
`static GroupSelector.State` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GroupSelector.State[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SKIP

    public static final GroupSelector.State SKIP

#### ACCEPT

    public static final GroupSelector.State ACCEPT

### Method Detail

#### values

    public static GroupSelector.State[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GroupSelector.State c : GroupSelector.State.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GroupSelector.State valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null